function y = rotateR(x,N)
% y = rotateR(x,N)
% rotates R circularly by N samples
%
% written 11/8/02 - rms

% Make sure x is a row vector
if size(x,1) ~= 1
	x = x';
end

L = length(x);

y = [x(L-(N-1):L) x(1:L-N)];
