function y = sincdt(x,N)
% y = sincdt(x)
%
% function that evaluates discrete-time sinc function:
% y = sin(Nx/2)/sin(x/2) for x /= 0
% y = N for x = 0

% written 11/8/02 - rms


y = ((x~=0) .* (sin(N*x/2)./(eps+(sin(x/2)))));

for n = 1:length(y)
%	if isnan(y(n))
	if x(n) ==0
		y(n)=N;
	end
	
end

